> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Delete a tag

DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/tags/{tag_id}

Deletes a tag from the entries and/or assets that reference it.

Reference: https://contentful.com/developers/docs/references/content-management-api/tags/delete-a-tag

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in the form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `tag_id` (string, required) — ID of the tag in form of a string

### Headers

- `X-Contentful-Version` (string, optional) — Version of the tag to delete

## Response

### 204

No Content - Request successful, no content returned

## Examples

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .tags()
    .async()
    .delete(
        spaceId,
        environmentId,
        tagId,
        new CMACallback<Integer>() {
          @Override protected void onSuccess(Integer result) {
            new AlertDialog.Builder(context)
                .setTitle("Contentful")
                .setMessage("Successfully deleted a tag." +
                    "\n\nResult: " + result)
                .show();
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not delete a tag." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// Delete a tag.
Integer result = client.tags().delete(
  "spaceId",
  "environmentId",
  "tagId");
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

// Delete a tag.
val result = client.tags().delete(
  "spaceId",
  "environmentId",
  "tagId")
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment_id>'))
.then((env) => env.getTag('<tag_id>'))
.then((tag) => tag.delete())
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

await client.tag.delete({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  tagId: '<tag_id>'
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

# delete a tag
tag = client.tags('<space_id>', '<environment_id>').find('<tag_id>')
tag.destroy
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

client.tags('<space_id>', '<environment_id>').delete('<tag_id>')
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

await client.DeleteContentTag("<id>", version: 4);
```